Page MenuHomePhabricator

Setup web app scaffolding
Closed, ResolvedPublic8 Story Points

Description

Background @: https://www.mediawiki.org/wiki/Reading/Web/Projects/A_frontend_powered_by_Parsoid/Q2_MVP
The purpose of this activity it to aid discussions in T114072

Acceptance Critera:

  • Web app has a non-functional chrome (hamburger, echo and search bar), styled like the Minerva skin in MobileFrontend. Neither of these buttons need to be wired up so don't waste too much time at this stage doing that.
  • Serves content from the Barack Obama article via Parsoid/RESTBase. The API response should return sections, there should be no need on the client to transform the response.
  • Touch in with @pizzzacat and @JGirault at some point during the sprint as both have a vested interest in prototyping.

Event Timeline

Jdlrobson created this task.Oct 5 2015, 4:21 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to Sprint 58: 6 on the Reading-Web-Planning board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2015, 4:21 PM
Jdlrobson set Security to None.
Jdlrobson edited a custom field.
Jdlrobson renamed this task from [placeholder] build web app to Setup web app scaffolding.Oct 12 2015, 5:58 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: JGirault, pizzzacat.

@Jhernandez you said in standup this is done. Can you update us on where you are / what you've learnt?

Also have you spoken/shared your work with @pizzzacat and @JGirault ?

Key learned points are:

For @pizzzacat and @JGirault the repo is here https://github.com/joakin/webkipedia Feel free to poke around, and we can organize a session for showing the dev experience if you are interested on it.

Jdlrobson closed this task as Resolved.Oct 29 2015, 6:21 PM

Awesome.